[blfs-dev] [BLFS Trac] #3973: LibreOffice-4.1.0: troubles with dictionaries, help and languages support

Wayne Blaszczyk wblaszcz at bigpond.net.au
Sat Aug 17 14:10:03 PDT 2013


On 18/08/13 00:20, Wayne Blaszczyk wrote:
> On 17/08/13 12:57, Fernando de Oliveira wrote:
>> Em 16-08-2013 20:44, Wayne Blaszczyk escreveu:
>>> On 17/08/13 04:51, Fernando de Oliveira wrote:
>>>> Em 16-08-2013 15:32, BLFS Trac escreveu:
>>>>> #3973: LibreOffice-4.1.0: troubles with dictionaries, help and languages support
>>>>> --------------------+----------------------
>>>>>  Reporter:  fo      |       Owner:  fo
>>>>>      Type:  defect  |      Status:  closed
>>>>>  Priority:  normal  |   Milestone:  current
>>>>> Component:  BOOK    |     Version:  SVN
>>>>>  Severity:  normal  |  Resolution:  fixed
>>>>>  Keywords:          |
>>>>> --------------------+----------------------
>>>>> Changes (by fo):
>>>>>
>>>>>  * status:  new => closed
>>>>>  * resolution:   => fixed
>>>>>
>>>>>
>>>>
>>>> This was too big for this junior editor. Please, check if that is
>>>> allright, when revision 11640 appears in the -book list.
>>>>
>>>
>>> I think there is a typo on the last instruction?
>>> cp -vR dictionaries/en/* /usr/lib/libreoffice/share/extensions/dict-pt-BR
>>> should be
>>> cp -vR dictionaries/pt_BR/* /usr/lib/libreoffice/share/extensions/dict-pt-BR
>>> Apart from that, well done.
>>
>> Thank you, Wayne. Fixed at revision 11641. Had to reformat some lines
>> and added a verbose to chmod.
>>
>>> Do these fixes fix the neon latest version issue?
>>
>> No, I do not think so.
>>
>> I have downloaded the patch from gentoo, suggested by Armin. In Fedora,
>> they do differently, I had the impression they just switch to internal
>> neon, and make a joke, about who was responsible for the modification to
>> neon bring the problems.
>>
>> However, have not hit the bug, because neon in the dev machine is older.
>> I was considering including it, but two things came to mind: first, like
>> Armin, I have not had a clear enough feedback of that user with the
>> problem; second, there was already too many things to test and edit.
>> Also, I was in doubt if Armin was intending to do it, himself. Perhaps I
>> should install the new version of neon and try everything, maybe tomorrow?
>>
>> Have you (or anyone reading this) tested the patch?
>>
> 
> No I haven't, but I'll run it over night and report back.
> 
> Wayne.
> 

The Gentoo patch worked fine.
libreoffice-4.1.0.4-neon-build.patch
md5sum: 0377797c1b2346223205d04af2d12faa

The patch instruction was:
patch -Np0 -i ../libreoffice-4.1.0.4-neon-build.patch
and was done before the poppler patch.

Regards,
Wayne.




More information about the blfs-dev mailing list